Package it.ernytech.tdlib

## Class TdApi.GetCallbackQueryAnswer

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetCallbackQueryAnswer

Enclosing class:
  TdApi

    public static class TdApi.GetCallbackQueryAnswer
    extends TdApi.Function

Sends a callback query to a bot and returns an answer. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `CallbackQueryAnswer`

### Field Summary

Fields
`long` `chatId` Identifier of the chat with the message.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `messageId` Identifier of the message from which the query originated.
`TdApi.CallbackQueryPayload` `payload` Query payload.

### Constructor Summary

Constructors
`GetCallbackQueryAnswer()` Default constructor.
`GetCallbackQueryAnswer​(long chatId, long messageId, TdApi.CallbackQueryPayload payload)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Identifier of the chat with the message.

#### messageId

    public long messageId

Identifier of the message from which the query originated.

#### payload

    public TdApi.CallbackQueryPayload payload

Query payload.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetCallbackQueryAnswer

    public GetCallbackQueryAnswer()

Default constructor.

#### GetCallbackQueryAnswer

    public GetCallbackQueryAnswer​(long chatId,
                                  long messageId,
                                  TdApi.CallbackQueryPayload payload)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Identifier of the chat with the message.
  `messageId` - Identifier of the message from which the query originated.
  `payload` - Query payload.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR